GET
/accounts/{id}/balanceGet real-time balance
Fetches the real-time balance for the account directly from the financial institution connector, without requiring a full item sync.
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200Real-time account balance
object
balancerequirednumber
The available balance of the account, same as balance in the account resource.
currencyCoderequiredstring
The currency code of the balance amounts
updateDateTimerequiredstring
The date and time when the balance was last updated
Example response
json
{
"balance": 0,
"currencyCode": "string",
"updateDateTime": "string"
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/accounts/{id}/balance' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Path Parameters
